Subject: re: [RRG] draft-fuller-lisp-alt-01.txt

From: Xu Xiaohu <[email-masked]>
Date: Tue, 29 Jan 2008 18:22:40 +0100

> 
> After reading the ALT draft:

> Using regular eBGP has two problems: the next hop attribute and
> aggregation. Because in eBGP, the next hop is pretty much always
> updated when prefixes are propagated, this means that every LAT router
> on the path towards the ultimate source of the prefix must decapsulate
> the tunneled packet and then reencapsualte it. The situation where the
> ITR that needs to send the original packet knows the address of the
> last (first?) router in the path so the packet travels end-to-end
> tunneled rather than hop-by-hop tunneled would be much better. Two
> ways to do this: minor BGP tweak so the next hop isn't updated, or a
> new attribute that contains the address that the packet must be
> tunneled to.
Although the above approach can not solve the problems with ALT, it can
alleviate the pain of long forwarding path on the overlay network since some
ALT routers, which don't perform prefix-aggregation, can be bypassed.

Xiaohu XU

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg